### Method

# Vips Image fill_nearest

#### Declaration [src]

    int
    vips_fill_nearest (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Fill outwards from every non-zero pixel in `in`, setting pixels in `distance` and `value`.

At the position of zero pixels in `in`, `distance` contains the distance to the nearest non-zero pixel in `in`, and `value` contains the value of that pixel.

`distance` is a one-band float image. `value` has the same number of bands and format as `in`.

Optional arguments

- `distance`: `VipsImage`, output, image of distance to nearest non-zero pixel

See also

`vips_hist_find_indexed()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Image with zero pixels filled with the nearest non-zero pixel.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.